openSUSE 10 Security Update : cairo (cairo-4947)

Medium Nessus Plugin ID 30191


The remote openSUSE host is missing a security update.


This update of cairo fixes several integer overflows while decoding PNG images. This can be exploited remotely with user-assistance to execute arbitrary code. (CVE-2007-5503)


Update the affected cairo packages.

Plugin Details

Severity: Medium

ID: 30191

File Name: suse_cairo-4947.nasl

Version: $Revision: 1.7 $

Type: local

Agent: unix

Published: 2008/02/06

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:cairo, p-cpe:/a:novell:opensuse:cairo-32bit, p-cpe:/a:novell:opensuse:cairo-devel, cpe:/o:novell:opensuse:10.1, cpe:/o:novell:opensuse:10.2, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/01/03

Reference Information

CVE: CVE-2007-5503

CWE: 189